"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var Spacer_1 = __importDefault(require("../../Spacer"));
var Row = function (_a) {
    var text = _a.text, floorId = _a.floorId, onFloorChanged = _a.onFloorChanged, closeModal = _a.closeModal;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_native_1.TouchableOpacity, { style: styles.row, onPress: function () {
                onFloorChanged(floorId);
                closeModal();
            } },
            react_1.default.createElement(react_native_1.Text, { style: styles.rowText }, text)),
        react_1.default.createElement(Spacer_1.default, { gap: 8, vertical: true })));
};
var styles = react_native_1.StyleSheet.create({
    row: {
        width: '90%',
        height: 50,
        backgroundColor: 'white',
        justifyContent: 'center',
        alignItems: 'center',
        borderRadius: 8,
    },
    rowText: {
        color: 'black',
    },
});
exports.default = Row;
