import { FC } from 'react';
import { FloorProps, ZoomProps } from '../../types';
declare type Props = {
    zoom: number;
    mapUrls: FloorProps[];
    floor: number;
    setZoom: (value: number) => void;
    onZoomReset: () => void;
    setFloor: (value: number) => void;
    showHeader?: boolean;
    zoomOptions?: ZoomProps;
    floorText?: string;
    allowFloorDropdown?: boolean;
    showFloors?: boolean;
    alignment?: 'flex-start' | 'center' | 'flex-end';
    headerOnRight?: boolean;
    floorButtonColor?: string;
    floorCircleColor?: string;
    buttonGap?: number;
};
declare const Header: FC<Props>;
export default Header;
